- [HTTP request](https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces.streamMessages/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces.streamMessages/delete#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces.streamMessages/delete#body.request_body)
- [Response body](https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces.streamMessages/delete#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces.streamMessages/delete#body.aspect)
- [Try it!](https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces.streamMessages/delete#try-it)

<br />

> [!WARNING]
> **Developer Preview:** Available as part of the [Google Workspace Developer Preview Program](https://developers.google.com/workspace/preview), which grants early access to certain features.

Deletes an active stream message in a Google Chat space.

<br />

Requires [app authentication](https://developers.google.com/workspace/chat/authenticate-authorize-chat-app) with the authorization scope:

- `https://www.googleapis.com/auth/chat.bot`

### HTTP request

`DELETE https://chat.googleapis.com/v1/{name=spaces/*/streamMessages/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the stream message to delete. Format: `spaces/{space}/streamMessages/{streamMessage}` |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/chat.bot`
- `https://www.googleapis.com/auth/chat.messages`

For more information, see the [Authorization guide](https://developers.google.com/workspace/chat/authenticate-authorize).